---
title: Delete Shipment
slug: fourkites-api-reference/52je-delete-shipment
description: Learn how to use the Delete Loads API to conveniently delete multiple loads at once using an array of tracking IDs. This document includes code examples using cURL and provides the expected responses with status codes for successful deletions and errors.
icon: {"apiMethod":"POST"}
createdAt: 2023-04-14T05:29:25.000Z
---

The Delete Loads API accepts an array of FourKites `tracking_ids` (returned when creating the load). If only one load needs to be deleted, a single value can be passed into the array.

:::hint{type="info"}
Note that you will be charged for the loads that get deleted.
:::

:::hint{type="info"}
This API accepts up to 100 loads in a single request and it is recommended to batch multiple loads in a single request.
:::

:::hint{type="info"}
### Rate Limit

**1 request per second**
:::

:::hint{type="info"}
### Authenticated Resource

**API Key**
:::

For more information on Authentication, [click here](https://docs.fourkites.com/api-reference/authentication).&#x20;

### Request Attributes

| Name        | Format            | Validation | Description                                                                          |
| ----------- | ----------------- | ---------- | ------------------------------------------------------------------------------------ |
| trackingIds | Array of Integers | Required   | List of unique FourKites® internal loadId(s) that are returned during load creation. |

### Response Attributes

| Name               | Format           | Description                                        |
| ------------------ | ---------------- | -------------------------------------------------- |
| message            | String           | It represents the status of the request submitted. |
| statusCode         | String           | HTTP StatusCode of the response.                   |
| deletedTrackingIds | Array of Integer | List of load ids accepted for deletion.            |

:::ApiMethodV2
```json
{
  "name": "Delete Shipment",
  "method": "POST",
  "url": "https://api.fourkites.com/api/v1/tracking/delete_loads",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f9_J2N8kW3W4zcRnpdyQ2",
        "language": "curl",
        "code": "curl --location --request POST 'https://api.fourkites.com/api/v1/tracking/delete_loads' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: REPLACE_KEY_VALUE' \\\n--data-raw '{\n    \"trackingIds\": [\n        \n    ]\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "f9_J2N8kW3W4zcRnpdyQ2"
  },
  "results": {
    "languages": [
      {
        "id": "typLiel1gOMSIeEIv4l1t",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"message\": \"Tracking records submitted for deletion\",\n  \"statusCode\": \"200\"\n}"
      }
    ],
    "selectedLanguageId": "typLiel1gOMSIeEIv4l1t"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "delete-shipment",
  "legacyHash": "8gAsVg8kGN4XathadtObG"
}
```
:::

**HEADERS**

| apikey | TEST\_KEY<br /><br />API key generated on the FourKites developer portal |
| ------ | ------------------------------------------------------------------------ |

***
